edu.isi.pegasus.planner.catalog.transformation.classes

## Class Arch

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.classes.Arch

All Implemented Interfaces:
  java.io.Serializable

    public class Arch
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`private static java.lang.String` `_AMD64`
`private static java.lang.String` `_INTEL32`
`private static java.lang.String` `_INTEL64`
`private static java.lang.String` `_SPARCV7`
`private static java.lang.String` `_SPARCV9`
`private static java.util.HashMap` `_table_`
`private java.lang.String` `_value_`
`static Arch` `AMD64`
`static java.lang.String` `err`
`static Arch` `INTEL32`
`static Arch` `INTEL64`
`static Arch` `SPARCV7`
`static Arch` `SPARCV9`

### Constructor Summary

Constructors
`protected` `Arch(java.lang.String value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)` Compares if a given Arch object is equal to this.
`static Arch` `fromString(java.lang.String value)` Creates a new Arch object given a arch string.
`static Arch` `fromValue(java.lang.String value)` Creates a new Arch Object givan a arch string.
`java.lang.String` `getValue()` Returns the value of the architecture as string.
`int` `hashCode()`
`java.lang.String` `toString()` Returns the string value of the architecture.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _value_

    private java.lang.String _value_

#### _table_

    private static java.util.HashMap _table_

#### _INTEL32

    private static final java.lang.String _INTEL32

See Also:
  Constant Field Values

#### _INTEL64

    private static final java.lang.String _INTEL64

See Also:
  Constant Field Values

#### _SPARCV7

    private static final java.lang.String _SPARCV7

See Also:
  Constant Field Values

#### _SPARCV9

    private static final java.lang.String _SPARCV9

See Also:
  Constant Field Values

#### _AMD64

    private static final java.lang.String _AMD64

See Also:
  Constant Field Values

#### INTEL32

    public static final Arch INTEL32

#### INTEL64

    public static final Arch INTEL64

#### SPARCV7

    public static final Arch SPARCV7

#### SPARCV9

    public static final Arch SPARCV9

#### AMD64

    public static final Arch AMD64

#### err

    public static final java.lang.String err

See Also:
  Constant Field Values

### Constructor Detail

#### Arch

    protected Arch(java.lang.String value)

### Method Detail

#### getValue

    public java.lang.String getValue()

Returns the value of the architecture as string.

Returns:
  String

#### fromValue

    public static Arch fromValue(java.lang.String value)
                          throws java.lang.IllegalStateException

Creates a new Arch Object givan a arch string.

Parameters:
  `value` - String
Returns:
  Arch
Throws:
  `java.lang.IllegalStateException` - Throws Exception if the architecure is not defined in this class.

#### fromString

    public static Arch fromString(java.lang.String value)
                           throws java.lang.IllegalStateException

Creates a new Arch object given a arch string.

Parameters:
  `value` - String
Returns:
  Arch
Throws:
  `java.lang.IllegalStateException` - Throws Exception if the architecure is not defined in this class.

#### equals

    public boolean equals(java.lang.Object obj)

Compares if a given Arch object is equal to this.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - Object
Returns:
  boolean

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Returns the string value of the architecture.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String